# build6x usage: define to 1 to build for RHL6.x.  Don't define at all for others.
%{?build6x:%define kerberos 0}
%{?build6x:%define nls 0}
%{?build6x:%define ssl 0}
%{?build6x:%define tcldevel 0}
%{?build6x:%define aconfver /bin/true}
#work around the undefined or defined to 1 build 6x interaction with the pam stuff
%{!?build6x:%define non6xpamdeps 1}
%{?build6x:%define non6xpamdeps 0}
#build7x, build8, and build9 similar
%{?build8:%define build89 1}
%{?build9:%define build89 1}
%{?build7x:%define kerbdir /usr/kerberos}
%{?build7x:%define tcldevel 0}
%{?build89:%define kerbdir /usr/kerberos}
%{?build8:%define tcldevel 0}
%{?build7x:%define aconfver autoconf-2.53}

%{!?tcldevel:%define tcldevel 1}
%{!?kerbdir:%define kerbdir /usr}
%{!?aconfver:%define aconfver autoconf}

%define beta 0

%{?beta:%define __os_install_post /usr/lib/rpm/brp-compress}

%{!?tcl:%define tcl 1}
%{!?tkpkg:%define tkpkg 0}
%{!?test:%define test 1}
%{!?pltcl:%define pltcl 1}
%{!?pls:%define pls 1}
%{!?ssl:%define ssl 1}
%{!?kerberos:%define kerberos 1}
%{!?nls:%define nls 1}
%{!?pam:%define pam 1}
%{!?pgfts:%define pgfts 1}


Summary: Backlevel PostgreSQL client libraries.
Name: postgresqlclient7
Version: 7.4.14

# Conventions for PostgreSQL Global Development Group RPM releases:

# Official PostgreSQL Development Group RPMS have a PGDG after the release number.
# Integer releases are stable -- 0.1.x releases are Pre-releases, and x.y are
# test releases.

# Pre-releases are those that are built from CVS snapshots or pre-release
# tarballs from postgresql.org.  Official beta releases are not 
# considered pre-releases, nor are release candidates, as their beta or
# release candidate status is reflected in the version of the tarball. Pre-
# releases' versions do not change -- the pre-release tarball of 7.0.3, for
# example, has the same tarball version as the final official release of 7.0.3:
# but the tarball is different.

# Test releases are where PostgreSQL itself is not in beta, but certain parts of
# the RPM packaging (such as the spec file, the initscript, etc) are in beta.

# Pre-release RPM's should not be put up on the public ftp.postgresql.org server
# -- only test releases or full releases should be.

Release: 1.el4s1.1
License: BSD
Group: Applications/Databases
Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
Source16: filter-requires-perl-Pg.sh
Patch1: rpm-pgsql-7.4.patch
Patch2: rpm-multilib-%{version}.patch
Patch3: postgresql-7.4-tighten.patch
Patch4: postgresql-7.4-getppid.patch
Patch6: postgresql-7.4-src-tutorial.patch
Patch7: postgresql-7.3.4-s390-pic.patch
Patch8: postgresql-7.4-com_err.patch
Patch10: postgresql-7.4-selinux.patch
Patch11: postgresql-7.4-strerror.patch
Patch12: postgresql-7.4-libpqdomain.patch
Buildrequires: perl glibc-devel bison flex
Prereq: /sbin/ldconfig initscripts
BuildPrereq: readline-devel
BuildPrereq: zlib-devel >= 1.0.4
%if %ssl
BuildPrereq: openssl-devel
%endif
%if %kerberos
BuildPrereq: krb5-devel
BuildPrereq: e2fsprogs-devel
%endif
%if %nls
BuildPrereq: gettext >= 0.10.35
%endif

%if %pam
%if %non6xpamdeps
BuildPrereq: pam-devel
%endif
%endif

Url: http://www.postgresql.org/ 

Buildroot: %{_tmppath}/%{name}-%{version}-root

# This is the PostgreSQL Global Development Group Official RPMset spec file,
# or a derivative thereof.
# Copyright 2003 Lamar Owen <lowen@pari.edu> <lamar.owen@wgcr.org>
# and others listed.

# Major Contributors:
# ---------------
# Lamar Owen
# Trond Eivind Glomsrd <teg@redhat.com>
# Thomas Lockhart
# Reinhard Max
# Karl DeBisschop
# Peter Eisentraut
# Joe Conway
# Andrew Overholt
# David Jee
# Kaj J. Niemi
# Sander Steffann
# Tom Lane
# and others in the Changelog....

# This spec file and ancilliary files are licensed in accordance with 
# The PostgreSQL license.

# On top of this file you can find the default build package list macros.  These can be overridden by defining
# on the rpm command line:
# rpm --define 'packagename 1' .... to force the package to build.
# rpm --define 'packagename 0' .... to force the package NOT to build.
# The base package, the lib package, the devel package, and the server package always get built.


%description
This package contains backlevel versions of the PostgreSQL client libraries
for use with applications linked against them.  These shared libraries
were created using PostgreSQL 7.4.8.

Provides: libpq.so
Obsoletes: rh-postgresql-libs

%define __perl_requires %{SOURCE16}

%prep
%setup -q -n postgresql-%{version}
pushd doc
tar zxf postgres.tar.gz
popd
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

#call autoconf 2.53 or greater
%aconfver

pushd doc
tar -zcf postgres.tar.gz *.html stylesheet.css
rm -f *.html stylesheet.css
popd

#cp -p %{SOURCE17} .
#tar zxf %{SOURCE17}

%build

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS
%if %kerberos
CPPFLAGS="${CPPFLAGS} -I%{_includedir}/et" ; export CPPFLAGS
CFLAGS="${CFLAGS} -I%{_includedir}/et" ; export CFLAGS
%endif

# Strip out -ffast-math from CFLAGS....

CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`
export LIBNAME=%{_lib}
%configure --disable-rpath \
%if %beta
	--enable-debug \
	--enable-cassert \
%endif
%if %ssl
	--with-openssl \
%endif
%if %pam
	--with-pam \
%endif
%if %kerberos
	--with-krb5=%kerbdir \
%endif
%if %nls
	--enable-nls \
%endif
%if %pgfts
	--enable-thread-safety \
%endif
	--sysconfdir=/etc/sysconfig/pgsql \
	--datadir=/usr/share/pgsql \
	--with-docdir=%{_docdir}

make all

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# Remove stuff we don't want to ship (pretty much everything except the
# client-side libraries).
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/pg_controldata.mo
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/pg_dump.mo
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/pg_resetxlog.mo
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/pgscripts.mo
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/postgres.mo
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/psql.mo
rm -rf $RPM_BUILD_ROOT/usr/share/pgsql
rm -rf $RPM_BUILD_ROOT%{_docdir}/postgresql/html
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libexecdir}
rm -rf $RPM_BUILD_ROOT%{_infodir}
rm -rf $RPM_BUILD_ROOT%{_mandir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/pgsql

# Adjust libpq.mo files to be named libpq74.mo.
for d in $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES
do
	if [ -f $d/libpq.mo ]
	then
		mv -f $d/libpq.mo $d/libpq74.mo
	fi
done

%find_lang libpq74

cat libpq74.lang > libpq74.lst

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

# FILES section.

%files -f libpq74.lang
%defattr(-,root,root)
%doc COPYRIGHT README HISTORY doc/bug.template
%{_libdir}/libpq.so.*
%{_libdir}/libecpg.so.*
%{_libdir}/libpgtypes.so.*
%{_libdir}/libecpg_compat.so.*

%changelog
* Wed Nov 29 2006 Tom Lane <tgl@redhat.com> 7.4.14-1.el4s1.1
- Update to PostgreSQL 7.4.14

* Thu Sep 28 2006 Tom Lane <tgl@redhat.com> 7.4.13-1.el4s1.2
- Rebuild to verify building in brew

* Fri Jul 21 2006 Tom Lane <tgl@redhat.com> 7.4.13-1.el4s1.1
- Update to 7.4.13 to match current RHEL4.

* Thu Feb  9 2006 Tom Lane <tgl@redhat.com> 7.4.8-2.el4s1.1
- Use a version-dependent name for libpq.mo files.
- Adjust release string to meet convention established by stacks group.

* Thu Feb  9 2006 Tom Lane <tgl@redhat.com> 7.4.8-1.RHEL4S1.2
- rebuild in Stacks branch

* Wed Feb  8 2006 Tom Lane <tgl@redhat.com> 7.4.8-1
- Created by stripping down current RHEL4 SRPM.
